App\Entity\StockTransfert:
    type: entity
    table: stock_transfert
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        quantite:
            type: integer
            unsigned: false
            nullable: true
        dateTransfert:
            type: datetime
            nullable: true
            column: date_transfert
        motif:
            type: text
            nullable: true
    manyToOne:
        depuisStock:
            targetEntity: Stock
            cascade: {  }
            mappedBy: null
            inversedBy: sorties
            joinColumns:
                depuis_stock_id:
                    referencedColumnName: id
            orphanRemoval: false
        versStock:
            targetEntity: Stock
            cascade: {  }
            mappedBy: null
            inversedBy: entrees
            joinColumns:
                vers_stock_id:
                    referencedColumnName: id
            orphanRemoval: false
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: stockTransferts
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false